For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery resource holidays
      • GETQuery country holidays
      • GETQuery global holidays
LogoLogo
SupportContact salesStart free trial
API ReferenceHoliday

Query resource holidays

GET
https://api.projectmanager.com/api/data/holidays/resource
GET
/api/data/holidays/resource
$curl https://api.projectmanager.com/api/data/holidays/resource \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "date": "2023-01-15",
17 "resourceId": "string"
18 }
19 ]
20}
Retrieve a list of resource holidays that match an [OData formatted query](https://www.odata.org/).
Was this page helpful?
Previous

Query country holidays

Next
Built with

Retrieve a list of resource holidays that match an OData formatted query.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

$topintegerOptional
The number of records to return
$skipintegerOptional

Skips the given number of records and then returns $top records

$filterstringOptional
Filter the expression according to oData queries
$orderbystringOptional
Order collection by this field.
$expandstringOptional
Include related data in the response

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.